using FLY.Thick.Base.Common;
using FlyADBase;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FLY.Thick.Base.Server
{
    public class GM_Backward : GM_Base
    {
        /// <summary>
        /// 扫描速度
        /// </summary>
        public UInt32 Velocity { get; set; }

        public GM_Backward()
        {
            GMState = CTRL_STATE.BACKW;
            Velocity = 5000;
        }
        public override void Start()
        {
            base.Start();
            if (!IsRunning) return;
            mFlyAD.SetVelocity(Velocity);
            mFlyAD.RuntoMin();
        }
    }
}
